怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/huahuo/creator" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"creatorNames":["老番茄"]}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/huahuo/creator",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"creatorNames": ["老番茄"],
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/huahuo/creator", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"creatorNames": [
"老番茄"
]
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-09
{
"data": [
{
"type": "creatorDetail",
"userId": "<masked>",
"url": "<masked>",
"nickname": "<masked>",
"avatar": "<masked>",
"gender": "<masked>",
"region": "<masked>",
"category": "游戏",
"subCategory": "单机游戏",
"accountType": "agency",
"agencyName": "上海超电文化传播有限公司",
"followers": 20877474,
"tags": [
"游戏实况"
],
"averagePlays": 4874115,
"interactionRate": 0.0796,
"quotes": [
{
"type": "定制视频",
"price": 723300,
"discountPrice": 723300
},
{
"type": "植入视频",
"price": 592900,
"discountPrice": 592900
},
{
"type": "直发动态",
"price": 147500,
"discountPrice": 147500
}
],
"signature": "<masked>",
"totalLikes": 188874638,
"videoCount": 607,
"contentCategories": [
"3C及电器",
"美妆日化",
"食品饮料"
],
"medianPlays": 3936829,
"averageComments": 2311,
"averageSaves": 45106,
"averageLikes": 241113,
"averageDanmaku": 8494,
"appPlayShare": 0.5616,
"seedingCpm": 157.2,
"medianInteractionRate": 0.0796,
"agencyId": 331257408,
"isTimelyResponder": false,
"topPlayedVideo": {
"videoId": "BV1wS516qETH",
"url": "<masked>",
"title": "<masked>",
"plays": 9148403,
"likes": null,
"comments": null,
"saves": null,
"danmaku": null,
"interactionRate": null
},
"topInteractionVideo": {
"videoId": "BV1BsVa6pEGL",
"url": "<masked>",
"title": "<masked>",
"plays": 0,
"likes": 427363,
"comments": 6840,
"saves": 124159,
"danmaku": 23078,
"interactionRate": 0.0991
},
"dataDate": "2026-11-08",
"wechat": null,
"qq": null,
"cooperationFormats": [
"线下探查拍摄",
"小剧场",
"自然展示"
],
"pet": null,
"maritalStatus": null,
"children": null,
"futurePlan": null,
"education": null,
"isStudying": null,
"videoLengthShare": [
{
"label": "10min以上",
"sharePct": 96
},
{
"label": "3-5min",
"sharePct": 4
}
],
"videoCategoryShare": [
{
"label": "游戏",
"sharePct": 96
},
{
"label": "音乐",
"sharePct": 4
}
],
"fansInterestTags": [
{
"label": "老番茄",
"count": 1154
},
{
"label": "某幻君",
"count": 950
},
{
"label": "中国boy",
"count": 810
}
],
"viewersInterestTags": [
{
"label": "某幻君",
"count": 1475
},
{
"label": "废墟图书馆",
"count": 950
},
{
"label": "月亮计划",
"count": 950
}
],
"fansGender": "<masked>",
"fansAge": [
{
"label": "0~17岁",
"sharePct": 15.7
},
{
"label": "18~24岁",
"sharePct": 47.75
},
{
"label": "25~30岁",
"sharePct": 23.84
}
],
"fansDevice": [
{
"label": "苹果",
"sharePct": 38.33
},
{
"label": "小米",
"sharePct": 15.76
},
{
"label": "华为",
"sharePct": 13.69
}
],
"fansRegion": [
{
"label": "广东",
"sharePct": 11.83
},
{
"label": "江苏",
"sharePct": 7.9
},
{
"label": "海外",
"sharePct": 7.6
}
],
"fansCityTier": [
{
"label": "一线",
"sharePct": 14.58
},
{
"label": "新一线",
"sharePct": 22.26
},
{
"label": "二线",
"sharePct": 20.26
}
],
"viewersGender": "<masked>",
"viewersAge": [
{
"label": "0~17岁",
"sharePct": 24.97
},
{
"label": "18~24岁",
"sharePct": 41.05
},
{
"label": "25~30岁",
"sharePct": 17.24
}
],
"viewersDevice": [
{
"label": "苹果",
"sharePct": 21
},
{
"label": "小米",
"sharePct": 19.6
},
{
"label": "vivo",
"sharePct": 17.19
}
],
"viewersRegion": [
{
"label": "广东",
"sharePct": 12.12
},
{
"label": "江苏",
"sharePct": 7.81
},
{
"label": "浙江",
"sharePct": 6.54
}
]
}
],
"cursor": null,
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.036800",
"balance_usd": "9.875000",
"items": 1
}
}字段 55
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | creatorDetail |
| userId | string | <masked> |
| url | string | <masked> |
| nickname | string | <masked> |
| avatar | string | <masked> |
| gender | string | <masked> |
| region | string | <masked> |
| category | string | 游戏 |
| subCategory | string | 单机游戏 |
| accountType | string | agency |
| agencyName | string | 上海超电文化传播有限公司 |
| followers | number | 20877474 |
| tags | array | ["游戏实况"] |
| averagePlays | number | 4874115 |
| interactionRate | number | 0.0796 |
| quotes | array | [{"type":"定制视频","price":723300,"discountPrice":723300},{"typ… |
| signature | string | <masked> |
| totalLikes | number | 188874638 |
| videoCount | number | 607 |
| contentCategories | array | ["3C及电器","美妆日化","食品饮料"] |
| medianPlays | number | 3936829 |
| averageComments | number | 2311 |
| averageSaves | number | 45106 |
| averageLikes | number | 241113 |
| averageDanmaku | number | 8494 |
| appPlayShare | number | 0.5616 |
| seedingCpm | number | 157.2 |
| medianInteractionRate | number | 0.0796 |
| agencyId | number | 331257408 |
| isTimelyResponder | boolean | false |
| topPlayedVideo | object | {"videoId":"BV1wS516qETH","url":"<masked>","title":"<masked>… |
| topInteractionVideo | object | {"videoId":"BV1BsVa6pEGL","url":"<masked>","title":"<masked>… |
| dataDate | string | 2026-11-08 |
| null | null | |
| null | null | |
| cooperationFormats | array | ["线下探查拍摄","小剧场","自然展示"] |
| pet | null | null |
| maritalStatus | null | null |
| children | null | null |
| futurePlan | null | null |
| education | null | null |
| isStudying | null | null |
| videoLengthShare | array | [{"label":"10min以上","sharePct":96},{"label":"3-5min","shareP… |
| videoCategoryShare | array | [{"label":"游戏","sharePct":96},{"label":"音乐","sharePct":4}] |
| fansInterestTags | array | [{"label":"老番茄","count":1154},{"label":"某幻君","count":950},{"… |
| viewersInterestTags | array | [{"label":"某幻君","count":1475},{"label":"废墟图书馆","count":950},… |
| fansGender | string | <masked> |
| fansAge | array | [{"label":"0~17岁","sharePct":15.7},{"label":"18~24岁","shareP… |
| fansDevice | array | [{"label":"苹果","sharePct":38.33},{"label":"小米","sharePct":15… |
| fansRegion | array | [{"label":"广东","sharePct":11.83},{"label":"江苏","sharePct":7.… |
| fansCityTier | array | [{"label":"一线","sharePct":14.58},{"label":"新一线","sharePct":2… |
| viewersGender | string | <masked> |
| viewersAge | array | [{"label":"0~17岁","sharePct":24.97},{"label":"18~24岁","share… |
| viewersDevice | array | [{"label":"苹果","sharePct":21},{"label":"小米","sharePct":19.6}… |
| viewersRegion | array | [{"label":"广东","sharePct":12.12},{"label":"江苏","sharePct":7.… |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。 | 5 |
| creatorNames | array | 是 | 用昵称代替(或配合)UID。每个昵称会先被查询;昵称完全一致的 UP 主优先,否则取第一个匹配。 | ["老番茄"] |
翻页
这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。
一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口每条单独取,每取一条的最低收费是 $0.015082。
- 1 条:最多 $0.0368
- 20 条:最多 $0.736
- 100 条:最多 $3.68
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「花火 UP 主资料」要传哪些参数?
必填:creatorNames。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。
能接着往后取吗?
不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。
怎么收费?
每条 详情记录 $0.0368。每页最低收费 $0.015082:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $3.68。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。